package com.yunyan.system.service;

import java.util.List;
import com.yunyan.system.domain.DeptManage;
import com.baomidou.mybatisplus.extension.service.IService;

import com.yunyan.common.core.domain.AjaxResultVo;
import com.yunyan.system.domain.dto.DeptManageAddDto;

/**
 * 管理部门与被管理部门的Service接口
 *
 * @author yunyan
 * @date 2024-10-12
 */
public interface IDeptManageService extends IService<DeptManage>
{

    /**
     * 查询管理部门与被管理部门的列表
     *
     * @param deptManage 管理部门与被管理部门的
     * @return 管理部门与被管理部门的集合
     */
    public List<DeptManage> selectDeptManageList(DeptManage deptManage);

    /**
    * 新增
    * @param
    * @return
    */
    AjaxResultVo add(DeptManage dto);

    /**
     * 编辑
     * @param
     * @return
     */
    AjaxResultVo edit(DeptManage dto);

    /**
     * 详情
     * @param id
     * @return
     */
    AjaxResultVo info(Long id);

    /**
     * 新增 集合
     * @param
     * @return
     */
    AjaxResultVo addList(DeptManageAddDto dto);

}
